#import "Manager.h"
#import "DUWindowController.h"
#import "DUView.h"

@implementation Manager

- (IBAction)makeEmptyWindow:(id)sender {
  ctrls[n_win++]=[[DUWindowController alloc] initWithManager:self];  
}

- (IBAction)openDirectory:(id)sender {
  ctrls[n_win]=[[DUWindowController alloc] initWithManager:self];  
  [ctrls[n_win]->duView open:self];
  n_win++;
}

// NSApplication delegate

- (BOOL)application:(NSApplication *)theApplication openFile:(NSString *)filename {
  ctrls[n_win]=[[DUWindowController alloc] initWithManager:self];  
  [ctrls[n_win]->duView open:self]; // should check
  n_win++;
  return YES;
}


@end
